#ifndef OCR_Find_Lines_INL
#define OCR_Find_Lines_INL

ACCESSOR_RO( OCR_INLINE, Line_Def  , unsigned  , start_line   , m_start_line)
ACCESSOR_RO( OCR_INLINE, Line_Def  , unsigned  , end_line     , m_end_line  )

OCR_INLINE void
Line_Def::set_start_end( unsigned new_start_line, unsigned new_end_line)
{
  m_start_line = new_start_line;
  m_end_line   = new_end_line  ;
}


ACCESSOR_RW( OCR_INLINE, Find_Lines, unsigned  , min_line_size  
           , m_min_line_size)
ACCESSOR_RW( OCR_INLINE, Find_Lines, unsigned  , black_threshold
           , m_black_threshold)
ACCESSOR_RO( OCR_INLINE, Find_Lines, unsigned  , num_lines      , m_num_lines)
ACCESSOR_RO( OCR_INLINE, Find_Lines, Line_Def *, lines          , m_line_defs)


#endif//OCR_Find_Lines_INL
